## ros-melodic-rt-usb-9axisimu-driver 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rt_usb_9axisimu_driver)

add_compile_options(-std=c++11)

# Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  roscpp
  sensor_msgs
  std_msgs
  roslint
)

###################################
## catkin specific configuration ##
###################################

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp sensor_msgs std_msgs
  # DEPENDS system_lib
)

###########
## Build ##
###########

# Specify additional locations of header files
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

# Declare a C++ executable
add_executable(rt_usb_9axisimu_driver src/rt_usb_9axisimu_driver_node.cpp src/rt_usb_9axisimu_driver.cpp)

# Specify libraries to link a library or executable target against
target_link_libraries(rt_usb_9axisimu_driver ${catkin_LIBRARIES})

# Add cmake target dependencies of the library
# add_dependencies(rt_usb_9axisimu_driver rt_usb_9axisimu_driver_generate_messages_cpp)

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(TARGETS rt_usb_9axisimu_driver
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h" PATTERN "*.hpp"
  PATTERN ".svn" EXCLUDE
)

# Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES
  launch/rt_usb_9axisimu_driver.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_rt_usb_9axisimu_driver.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

roslint_cpp()
roslint_add_test()

=== debian/changelog ===
ros-melodic-rt-usb-9axisimu-driver (1.0.0-1stretch) stretch; urgency=high

  * Contributors: Daisuke Sato, Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Mon, 20 Jul 2020 15:00:00 -0000

ros-melodic-rt-usb-9axisimu-driver (0.2.0-1stretch) stretch; urgency=high

  * Close node & port at device plugout
  * Fix wrong data output
  * Fix serial port attributes
  * Add serial port settings after port open()
  * Add required attribute to launch file
  * Fix CMake Warnings
  * Add a port argument to launch file
  * Merge pull request #5 <https://github.com/Tiryoh/rt_usb_9axisimu_driver/issues/5> from pazeshun/secure-read-bytes
    Continue reading until all data comes
  * Continue reading until all data comes
  * Don't use travis-python
  * Fix typo in stddev
  * Merge pull request #2 <https://github.com/Tiryoh/rt_usb_9axisimu_driver/issues/2> from pazeshun/add-travis-test
    Add travis test
  * Add build status to README.md
  * Add .travis.yml
  * Contributors: RT Corp, Shota Aoki, ShotaAk, Shun Hasegawa, pazeshun

 -- RT Corporation <shop@rt-net.jp>  Fri, 20 Dec 2019 15:00:00 -0000

ros-melodic-rt-usb-9axisimu-driver (0.1.2-1stretch) stretch; urgency=high



 -- RT Corporation <shop@rt-net.jp>  Wed, 09 Mar 2016 15:00:00 -0000

ros-melodic-rt-usb-9axisimu-driver (0.1.1-1stretch) stretch; urgency=high

  * update to manage different firmware versions

 -- RT Corporation <shop@rt-net.jp>  Tue, 29 Sep 2015 15:00:00 -0000

ros-melodic-rt-usb-9axisimu-driver (0.1.0-1stretch) stretch; urgency=high

  * first release for ROS indigo

 -- RT Corporation <shop@rt-net.jp>  Fri, 25 Sep 2015 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-rt-usb-9axisimu-driver
Section: misc
Priority: optional
Maintainer: RT Corporation <shop@rt-net.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: https://github.com/rt-net/rt_usb_9axisimu_driver/wiki
Standards-Version: 3.9.2

Package: ros-melodic-rt-usb-9axisimu-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Description: The rt_usb_9axisimu_driver package

## ros-melodic-rt-usb-9axisimu-driver 1.0.1

=== debian/changelog ===
ros-melodic-rt-usb-9axisimu-driver (1.0.1-1bionic) bionic; urgency=high

  * Contributors: Daisuke Sato, Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Wed, 12 May 2021 15:00:00 -0000

ros-melodic-rt-usb-9axisimu-driver (1.0.0-1bionic) bionic; urgency=high

  * Contributors: Daisuke Sato, Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Mon, 20 Jul 2020 15:00:00 -0000

ros-melodic-rt-usb-9axisimu-driver (0.2.0-1bionic) bionic; urgency=high

  * Close node & port at device plugout
  * Fix wrong data output
  * Fix serial port attributes
  * Add serial port settings after port open()
  * Add required attribute to launch file
  * Fix CMake Warnings
  * Add a port argument to launch file
  * Merge pull request #5 <https://github.com/Tiryoh/rt_usb_9axisimu_driver/issues/5> from pazeshun/secure-read-bytes
    Continue reading until all data comes
  * Continue reading until all data comes
  * Don't use travis-python
  * Fix typo in stddev
  * Merge pull request #2 <https://github.com/Tiryoh/rt_usb_9axisimu_driver/issues/2> from pazeshun/add-travis-test
    Add travis test
  * Add build status to README.md
  * Add .travis.yml
  * Contributors: RT Corp, Shota Aoki, ShotaAk, Shun Hasegawa, pazeshun

 -- RT Corporation <shop@rt-net.jp>  Fri, 20 Dec 2019 15:00:00 -0000

ros-melodic-rt-usb-9axisimu-driver (0.1.2-1bionic) bionic; urgency=high



 -- RT Corporation <shop@rt-net.jp>  Wed, 09 Mar 2016 15:00:00 -0000

ros-melodic-rt-usb-9axisimu-driver (0.1.1-1bionic) bionic; urgency=high

  * update to manage different firmware versions

 -- RT Corporation <shop@rt-net.jp>  Tue, 29 Sep 2015 15:00:00 -0000

ros-melodic-rt-usb-9axisimu-driver (0.1.0-1bionic) bionic; urgency=high

  * first release for ROS indigo

 -- RT Corporation <shop@rt-net.jp>  Fri, 25 Sep 2015 15:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rt-usb-9axisimu-driver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
